org.apache.ignite.internal.processors.cache.persistence

## Class MemoryPolicy

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.MemoryPolicy

    public class MemoryPolicy
    extends Object

Memory policy provides access to objects configured with `MemoryPolicyConfiguration` configuration.

### Constructor Summary

Constructors
Constructor and Description
`MemoryPolicy(PageMemory pageMem, MemoryPolicyConfiguration cfg, MemoryMetricsImpl memMetrics, PageEvictionTracker evictionTracker)`

### Method Summary

Methods
`MemoryPolicyConfiguration` `config()`
`PageEvictionTracker` `evictionTracker()`
`MemoryMetricsImpl` `memoryMetrics()`
`PageMemory` `pageMemory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryPolicy

    public MemoryPolicy(PageMemory pageMem,
                MemoryPolicyConfiguration cfg,
                MemoryMetricsImpl memMetrics,
                PageEvictionTracker evictionTracker)

Parameters:
  `pageMem` - PageMemory instance.
  `memMetrics` - MemoryMetrics instance.
  `cfg` - Configuration of given MemoryPolicy.
  `evictionTracker` - Eviction tracker.

### Method Detail

#### pageMemory

    public PageMemory pageMemory()

#### config

    public MemoryPolicyConfiguration config()

Returns:
  Config.

#### memoryMetrics

    public MemoryMetricsImpl memoryMetrics()

Returns:
  Memory Metrics.

#### evictionTracker

    public PageEvictionTracker evictionTracker()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017